org.apache.cassandra.cql3.statements

## Class RawSelector

- java.lang.Object
- - org.apache.cassandra.cql3.statements.RawSelector

    public class RawSelector
    extends java.lang.Object

### Field Summary

Fields
`ColumnIdentifier` `alias`
`Selectable` `selectable`

### Constructor Summary

Constructors
Constructor and Description
`RawSelector(Selectable selectable, ColumnIdentifier alias)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### selectable

    public final Selectable selectable

#### alias

    public final ColumnIdentifier alias

### Constructor Detail

#### RawSelector

    public RawSelector(Selectable selectable,
               ColumnIdentifier alias)